Ubuntu

Xorg-server crashes reproducible with GIMP usage

Reported by lix on 2012-07-05
194
This bug affects 43 people
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned
The Gimp
Invalid
Undecided
Unassigned
X.Org X server
Invalid
Undecided
Unassigned
xorg-server (Ubuntu)
High
Unassigned
Precise
High
Maarten Lankhorst

Bug Description

[Impact]
Fatal X server crash when using GIMP, which is a regression caused by recent xserver SRU changes.

[Test Case]
Steps to reproduce:

step1: open Gimp in Ubuntu
step2: create new image
step3: choosing tool (e.g. pencil)
step4: applying pencil to image
step5: crash (login window appears)

[Stable Fix]
For now, simply revert the patches added in versions 2:1.11.4-0ubuntu10.2 and .3.

[Regression Discussion]
The 10.2 SRU was intended to fix a touchpad issue on certain macbooks. 10.3 attempted to fix a regression caused by 10.2, but caused this bug. Reverting these changes should bring us back to a less crashy xserver.

This will regress the touchpad on macbooks, but the scope and severity of that bug are much less than the X server crashes being seen. Macbook users suffering from that issue have the option to run an earlier xserver version until a better tested fix becomes available.

[Original Report]
Here's the GIMP output:
gimp: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(script-fu:3569): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error

Here is the xorg-server backtrace(see comment #35):

in XorgLogOld.txt:

[ 51063.179] (II) intel(0): Modeline "1366x768"x0.0 69.30 1366 1414 1446 1454 768 771 777 793 -hsync -vsync (47.7 kHz)
[ 51072.829]
Backtrace:
[ 51072.829] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f99d5fa4996]
[ 51072.829] 1: /usr/bin/X (0x7f99d5e1c000+0x18c83a) [0x7f99d5fa883a]
[ 51072.829] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f99d5142000+0xfcb0) [0x7f99d5151cb0]
[ 51072.829] 3: /usr/bin/X (0x7f99d5e1c000+0x5e71a) [0x7f99d5e7a71a]
[ 51072.829] 4: /usr/bin/X (0x7f99d5e1c000+0x58070) [0x7f99d5e74070]
[ 51072.829] 5: /usr/bin/X (0x7f99d5e1c000+0x1230ef) [0x7f99d5f3f0ef]
[ 51072.829] 6: /usr/bin/X (0x7f99d5e1c000+0x4e8b1) [0x7f99d5e6a8b1]
[ 51072.829] 7: /usr/bin/X (0x7f99d5e1c000+0x3d6da) [0x7f99d5e596da]
[ 51072.829] 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f99d3fd776d]
[ 51072.829] 9: /usr/bin/X (0x7f99d5e1c000+0x3d9d1) [0x7f99d5e599d1]
[ 51072.829] Segmentation fault at address 0x28
[ 51072.829]
Caught signal 11 (Segmentation fault). Server aborting
[ 51072.829]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 51072.829] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 51072.829]
[ 51072.832] (II) evdev: Power Button: Close
[ 51072.832] (II) UnloadModule: "evdev"

In kernel.log:

Jul 8 12:55:49 foobar gnome-session[2111]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Jul 8 12:55:49 foobar acpid: client 1221[0:0] has disconnected
Jul 8 12:55:49 foobar acpid: client connected from 12308[0:0]
Jul 8 12:55:49 foobar acpid: 1 client rule loaded

Am using GNU/Linux Ubuntu 12.04 amd64 with kernel 3.2.0-26
---
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
DistroRelease: Ubuntu 12.04
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
Package: gimp 2.6.12-1ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Tags: precise
Uname: Linux 3.2.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
---
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
DistUpgraded: Fresh install
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21da]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
MachineType: LENOVO 42876AT
Package: xorg-server (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-26-generic root=UUID=86a07736-06b7-40df-949f-289db017fc22 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Tags: precise ubuntu referred-by-support compiz-0.9
Uname: Linux 3.2.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/01/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET56WW (1.26 )
dmi.board.asset.tag: Not Available
dmi.board.name: 42876AT
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET56WW(1.26):bd12/01/2011:svnLENOVO:pn42876AT:pvrThinkPadX220:rvnLENOVO:rn42876AT:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 42876AT
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.7.8-0ubuntu1.1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3.1
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Sasa Paporovic (melchiaros) wrote :

Please run

apport-collect 1021517

from terminal.

It will attach here needed information for further bughandling.

Changed in gimp (Ubuntu):
status: New → Incomplete
Sasa Paporovic (melchiaros) wrote :

Set the status after this back to New.

Thank you

apport information

tags: added: apport-collected precise
description: updated
Changed in gimp (Ubuntu):
status: Incomplete → New

... done as requested.

Best, Lx

Sasa Paporovic (melchiaros) wrote :

o.K than please attach a picture for reproducing and choose one path to the crash. Here comes a standard text:

Please give a step by step description like pushing this button, choosing that, waiting for, and so on). Give a good algorithmic description, that is complete and can guide a beginner in gimp to the point where the problem happends.

(step1,
 step2,
.
.
.
finished)

After that set the status of this report back to new.

tags: added: amd64
Changed in gimp (Ubuntu):
status: New → Incomplete
lix (lix-lix) wrote :

Sure.

step1: open Gimp in Ubuntu
step2: create new image
step3: choosing tool (e.g. pencil)
step4: applying pencil to image
step5: crash (login window appears)

lix (lix-lix) wrote :
lix (lix-lix) wrote :
Sasa Paporovic (melchiaros) wrote :

I have tried to reproduce, but it fails. Indeed that was what I have expected. The bugrate on this is to low on launchpad as that could be a common bug of GIMP to all.

"step5: crash (login window appears)" from comment 5.

That is a very valuable hint.

It says that you have not so far a problem with GIMP, it is the xserver of your system that crashes. Gimp is just hitting the weak point of xserver.

Xserver bugs are mostly hard to debug, but in your case it is possible, because you can reproduce it.

-----------------------------------------------------------------------

The easiest way would be, if the system has gathered the crash by itself, but has not send it.

Please check the directory

/var/crash/

with nautilus

if there is a .crash file of xorg or metacity or similiar. (You can post a list of files here if you want).

With a right mouse click -> open with -> report problem you can send this manually.

It should be entered in the crash database(no seperated ticket), but maybe you get a launchpad ticket

Please report back. When there is no .crash file we do it more complicated.

Changed in gimp (Ubuntu):
status: Incomplete → Confirmed
no longer affects: gimp
lix (lix-lix) wrote :

Hi Melchiaros

Thanks for your message.
Unfortunately there is no .crash file in /var/crash

Here's the output of /var/log/syslog during the reproduced bug:

Jul 8 12:55:38 foobar kernel: [50820.501116] ecryptfs_decrypt_page: Error attempting to read lower page; rc = [-4]
Jul 8 12:55:38 foobar kernel: [50820.501124] ecryptfs_readpage: Error decrypting page; rc = [-4]
Jul 8 12:55:49 foobar gnome-session[2111]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Jul 8 12:55:49 foobar acpid: client 1221[0:0] has disconnected
Jul 8 12:55:49 foobar acpid: client connected from 12308[0:0]
Jul 8 12:55:49 foobar acpid: 1 client rule loaded

Thanks for further assistance, Lx

Sasa Paporovic (melchiaros) wrote :

this is not looking good.

Is your sytstem partial encrypted(/home) or full encrypted and with this the root partition in which the system programs are stored like xorg and gimp?

Apport has not shown this, but just to be sure: Do you have a properitary driver from nvidia or ati installed?

Sasa Paporovic (melchiaros) wrote :

By the way:

You should properly report the

Jul 8 12:55:38 foobar kernel: [50820.501116] ecryptfs_decrypt_page: Error attempting to read lower page; rc = [-4]
Jul 8 12:55:38 foobar kernel: [50820.501124] ecryptfs_readpage: Error decrypting page; rc = [-4]

with

terminal:

ubuntu-bug linux

or

ubuntu-bug ecryptfs-utils

That should be handeled.

lix (lix-lix) wrote :

Just home encryption, not full system.
No proprietary driver.
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Regarding encryptfs bug: yes I also thought so...

Thanks for advice.

Sasa Paporovic (melchiaros) wrote :

I think we bring it then to xorg.

Sasa Paporovic (melchiaros) wrote :

Can attaching here all needed information can you please run from terminal

apport-collect 1021517

affects: gimp (Ubuntu) → xorg-server (Ubuntu)
Sasa Paporovic (melchiaros) wrote :

I have ment:

For attaching here all needed information can you please run from terminal

apport-collect 1021517

lix (lix-lix) wrote : BootDmesg.txt

apport information

tags: added: compiz-0.9 referred-by-support ubuntu
description: updated
lix (lix-lix) wrote : BootLog.gz

apport information

apport information

lix (lix-lix) wrote : DpkgLog.txt

apport information

apport information

lix (lix-lix) wrote : Lspci.txt

apport information

lix (lix-lix) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

lix (lix-lix) wrote : UdevDb.txt

apport information

lix (lix-lix) wrote : UdevLog.txt

apport information

apport information

lix (lix-lix) wrote : XorgLog.txt

apport information

lix (lix-lix) wrote : XorgLogOld.txt

apport information

lix (lix-lix) wrote : Xrandr.txt

apport information

lix (lix-lix) wrote : xdpyinfo.txt

apport information

An there we have in XorgLogOld.txt:

[ 51063.179] (II) intel(0): Modeline "1366x768"x0.0 69.30 1366 1414 1446 1454 768 771 777 793 -hsync -vsync (47.7 kHz)
[ 51072.829]
Backtrace:
[ 51072.829] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f99d5fa4996]
[ 51072.829] 1: /usr/bin/X (0x7f99d5e1c000+0x18c83a) [0x7f99d5fa883a]
[ 51072.829] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f99d5142000+0xfcb0) [0x7f99d5151cb0]
[ 51072.829] 3: /usr/bin/X (0x7f99d5e1c000+0x5e71a) [0x7f99d5e7a71a]
[ 51072.829] 4: /usr/bin/X (0x7f99d5e1c000+0x58070) [0x7f99d5e74070]
[ 51072.829] 5: /usr/bin/X (0x7f99d5e1c000+0x1230ef) [0x7f99d5f3f0ef]
[ 51072.829] 6: /usr/bin/X (0x7f99d5e1c000+0x4e8b1) [0x7f99d5e6a8b1]
[ 51072.829] 7: /usr/bin/X (0x7f99d5e1c000+0x3d6da) [0x7f99d5e596da]
[ 51072.829] 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f99d3fd776d]
[ 51072.829] 9: /usr/bin/X (0x7f99d5e1c000+0x3d9d1) [0x7f99d5e599d1]
[ 51072.829] Segmentation fault at address 0x28
[ 51072.829]
Caught signal 11 (Segmentation fault). Server aborting
[ 51072.829]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 51072.829] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 51072.829]
[ 51072.832] (II) evdev: Power Button: Close
[ 51072.832] (II) UnloadModule: "evdev"

Sasa Paporovic (melchiaros) wrote :

Looks like in a teaching book.

summary: - Full system crash using any tool in Gimp
+ Xorg-server crashes reproducible with GIMP usage
Sasa Paporovic (melchiaros) wrote :

Whith this I am more or less out. The rest of triaging is to specific for me. Sometimes xorg people want to have a improved stacktrace with installed symbols (-dbg packages). You may read on just for be prepared when the question should come:

https://wiki.ubuntu.com/X/Backtracing

description: updated
lix (lix-lix) wrote :

Thanks for your assistance, melchiaros.

Sasa Paporovic (melchiaros) wrote :

Thank you for responding all the time :)

lix (lix-lix) wrote :

... you can also contact me on IRC or Jabber, if needed 8-)

Gimp is unusable because of this bug in the xorg server.

xserver every time I try to use Gimp, it is very easy to reproduce :

1. Open an image with gimp
2. click onto the image with any tool (example : paint or selection)

then it crashes with this error :
gimp: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

please help.

Luke (blue-luke) wrote :

I am also affected. I'm using a Thinkpad x220 with ubuntu 12.04/unity
According to this thread on ubuntuforums.org, it seems like more people are getting this bug:
http://ubuntuforums.org/showthread.php?t=2017432

According to some answers there, gimp 2.8 seems to be working fine. I will check that out and report back.

Sasa Paporovic (melchiaros) wrote :

@Luke

Can you post a message in the forum that points the people here(use the full URL please) for voting "This bug affects 3 people. Does this bug affect you?".

This will increase the heat.

Sasa Paporovic (melchiaros) wrote :

Write that they should look carefully if this is really their problem, e.g checking the stacktrace of XorgLog.txt or XorgLogOld.txt

in

var/log/

Luke (blue-luke) wrote :

Done.
Thank you for your support so far.

I've found 2 bug reports for gimp which seem to be a duplicate of this bug:

https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1023818 (pretty sure on this one)

https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1021885 (similiar description, but no xorglog)

Maybe somebody can have a look at them to make sure.

Sasa Paporovic (melchiaros) wrote :

I have close bug 1023818 as dublicate.

On bug 1021885 I am also not so sure, but the symtomes are the same.

Sasa Paporovic (melchiaros) wrote :

Regarding to comment from A.Scheuer I have closed

https://bugs.launchpad.net/bugs/1021885

as duplicate.

Good work Luke.

cement_head (andor-udel) wrote :

Hello,

I can confirm same bug nVIDIA proprietary drivers, think it was caused by last xorg common and xorg server updates. However, upgrading to GIMP 2.8 (http://www.noobslab.com/2012/04/install-gimp-28-on-ubuntu-1204-precise.html) eliminates problem.

- CH

Justyn Butler (justyn) wrote :

I also consistently see this bug after installing latest Ubuntu updates. I cannot edit images in the GIMP or X crashes.

Ubuntu 12.04 amd64 on Thinkpad X220, Core i7 CPU+GPU.

xserver-xorg version: 1:7.6+12ubuntu1

Dale S (photodox) wrote :

I have also experienced this problem recently, but fixed it by going through 3 or 4 Gimp uninstall-purge-reinstall cycles. Unfortunately, I did not take note of my actions or the sequence of actions.

Re: This UbuntuForums thread: http://tinyurl.com/72gunsn

The GIMP menus work fine, but as soon as any mouse click with any tool hits the loaded image, it crashed as indicated above.

I don't know if there are any common elements in this info, but my system is:
     Sony VAIO
     Intel® Pentium(R) CPU B940 @ 2.00GHz × 2
     4 gigs RAM
     Kernel Linux 3.2.0-26-generic-pae
     GNOME 3.4.1
     Ubuntu 12.04 LTS 32 bit
     Gimp 2.6.

Sasa Paporovic (melchiaros) wrote :

@all who comes new here:

o.K: You all see more or less the same bug. Please comment only when you have substantially new information. When you see that it is also written above, please do not comment. Marking as it also effecting you is enough and any further action will not speed up the handling.

Thank you

@ all who comes new here

Kassidy M Kearey (kassidy) wrote :

Not sure if this information will help or not.
I was experiencing the issue with Gimp 2.6. In particular, it would happen when I moved a layer. I eventually subscribed to the GIMP PPA and upgraded to 2.8 and have been able to successfully edit images without the issue occurring.

However, now I have gone on to try and manipulate some images in Inkscape, and the same issue occurs. As soon as I attempt to move an object I have just pasted into the program (copying the image from Google Chrome, FWIW), XServer crashes. The backtrace and description of the issue being seen are the same as previous posts.

I'm running a Dell Latitude E6410, so GFX card is an Intel.

alfonx (skpublic) wrote :

For me this bug is reproducible/ not reproducible on my Thinkpad 410s depending on wheter I disable/enable the touchpad with Fn-F8 before or not. However, i always use the Touchpoint when it craches.

Also this is reported for a "Nexus Wireless Silent Mouse" on http://askubuntu.com/questions/163770/gimp-crashes-ubuntu-12-04-when-using-tool

~suv (suv-lp) wrote :

Also reported as affecting project Inkscape here:
Bug #1023004 "xorg crashes when clicking in inkscape work area"

Based on the provided feedback ("it seems that the last xserver update fixed the problem."), bug #1023004 had been closed for project Inkscape, and probably could be marked as duplicate of this one.

Luke (blue-luke) wrote :

I can confirm that the crash depends on the fn-f8 combo to activate/disable the touchpad.
The interesting thing is that it doesnt matter if the touchpad is actually active or not. If I disable/enable the touchpad via terminal [synclient touchpadoff=1/0] it doesnt crash as long as the touchpad isn't deactivated via fn-f8.
I'm usually using the trackpoint so i didnt notice this behaviour before.

Steps to reproduce:
1) activate the touchpad via fn-f8
2) create a new image in gimp and try out some tools -> no crash happens
[ 3) deactivate touchpad via terminal -> no crash ]
4) deactivate the touchpad via fn-f8 and click on the gimp workspace -> xserver crashes instantly
     (reactivating the touchpad via terminal before pressing fn-f8 doesnt change the result)

Some further tests:

1) Deactivating the touchpad in the bios:
       a) only trackpoint -> no crash (pressing fn-f8 has obviously no effect as no touchpad is active)
       b) trackpoint and a simple external mouse -> same as above

2) Deactivating the trackpoint in the bios:
       a) only touchpad -> obviuosly can't click on the gimp workspace if the touchpad is disabled, so no way to tell
       b) touchpad and external mouse -> crash once you follow the steps described above.

3) Using external mouse, trackpoint and trackpad
     -> crash if you click with mouse or trackpoint once the touchpad is deactivated using fn-f8

Well, it really seems to be related to the touchpad or rather it's deactivation using the keycombo.

As a workaround, you can simply activate your touchpad via fn-f8 and keep it on, deactivate it via teminal or diable it in the bios of your laptop.

Sebastien Bacher (seb128) wrote :

Hey Maartern, that seems like a regression with the recent update, likely from
https://launchpad.net/ubuntu/+source/xorg-server/2:1.11.4-0ubuntu10.3

the comment suggest it has to do with input (depends on the status of the pad for example)

Could you have a look?

Changed in xorg-server (Ubuntu):
importance: Undecided → High
Changed in xorg-server (Ubuntu Precise):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Maarten Lankhorst (mlankhorst)
Maarten Lankhorst (mlankhorst) wrote :

Can't reproduce it, what version of xserver-xorg-input-synaptics and evdev are you using?
And how exactly do you draw it, since if I use my precise and draw with touchpad, usb mouse or with synergy it's working fine.

The backtrace is useless without debug symbols, could you look at https://wiki.ubuntu.com/X/Backtracing and get a proper one?

Sebastien Bacher (seb128) wrote :

stacktrace:

#0 0x006408d0 in ActivateKeyboardGrab (keybd=0x23fa83e8, grab=0x243b3a50, time=..., passive=0) at ../../dix/events.c:1616
#1 0x00639a18 in GrabDevice (client=0x242a6940, dev=0x23fa83e8, pointer_mode=1, keyboard_mode=1, grabWindow=58726424, ownerEvents=0, ctime=372854, mask=0xbfd3182c,
    grabtype=1, curs=0, confineToWin=0, status=0xbfd31810 "") at ../../dix/events.c:5264
#2 0x0071300c in ProcXGrabDevice (client=0x242a6940) at ../../Xi/grabdev.c:132
#3 0x0070f0c7 in ProcIDispatch (client=0x242a6940) at ../../Xi/extinit.c:415
#4 0x0062f9dd in Dispatch () at ../../dix/dispatch.c:442
#5 0x0061d36a in main (argc=8, argv=0xbfd319c4, envp=0xbfd319e8) at ../../dix/main.c:288

it's trivial to get here by running gimp, opening an image and doing "gsettings set org.gnome.settings-daemon.peripherals.touchpad touchpad-enabled false"

Matt Quinn (mattq1966) wrote :

I am using Touchpad-Indicator, so it's not happening just via doing the key command. Although maybe that's essentially the same thing. My technical skills are virtually nil.

Bryce Harrington (bryce) on 2012-07-16
description: updated
Changed in xorg-server (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in inkscape:
status: New → Invalid
Changed in gimp:
status: New → Invalid
Changed in xorg-server:
status: New → Invalid
Bryce Harrington (bryce) wrote :

In discussion with cnd, seb128, sbeattie, and mlankhorst, we decided the safest path forward is to revert the recent changes that led to this crash. I've uploaded 1.11.4-0ubuntu10.6, which reverts the changes from 10.3 and 10.2. 10.3 is a fix to a regression caused by 10.2, so both changes need reverted to get us back to a stable xserver. This undoes a fix that causes touchpads not to work on macbooks, however that's a less severe issue that affects a smaller scope of people than these X server crashes.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.11.4-0ubuntu10.6

---------------
xorg-server (2:1.11.4-0ubuntu10.6) precise-security; urgency=low

  * Revert changes from 10.2 and 10.3 (and the unreleased SRU 10.4). 10.2
    attempted to fix bug 968845, but this caused the xserver to crash
    under rare conditions (1009629). 10.3 attempted to fix that crash,
    but resulted in a more commonly seen crash such as when using GIMP.
    (LP: #1021517)
  * Rename patch 509_log-format-fix.patch to 228_log-format-fix.patch,
    to reserve the 5xx numbering for input stack patches.
 -- Bryce Harrington <email address hidden> Mon, 16 Jul 2012 10:42:25 -0700

Changed in xorg-server (Ubuntu Precise):
status: Fix Committed → Fix Released
Sasa Paporovic (melchiaros) wrote :

Thanks to all who have helped.

lix (lix-lix) wrote :

Yes, and thanks for fixing the bug.

I am happy to confirm that Gimp works fine for me again.

Sasa Paporovic (melchiaros) wrote :

@Luke

It is a bit uncommen, but...

Bughandling in a sense of prepare bugs, until the quality has reached a level where developers can at best easily handle the issues, is a community driven thing, because there are much more reports than hands for handling.

I have read your comments and they are good and have helped to figure out was is going wrong. If there is interest to do that in a broader way you may want to read

https://wiki.ubuntu.com/BugSquad

I also invest not to much time, just as much as that I help to close more bugs then I open up.

Greeting melchiaros

I post this here, because you have not given a e-mail adress to launchpad for sending you private mails.

Maarten Lankhorst (mlankhorst) wrote :

It seems like this was a bug that only happened with the backported input stack in x1.11. x1.12 in quantal and x1.13 in my ppa didn't show this problem. As such it only ever affected precise.

Changed in xorg-server (Ubuntu):
status: Confirmed → Fix Released
Nils Ole Tippenhauer (noleti) wrote :

I experienced a very similar bug in Inkscape and current xorg-server:

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1081108

Other users report that the bug is trackpad-disable-related. Maybe this is of interest to people subscribed to this bug.

I'm experiencing the same bug in Ubuntu 12.04 precise since I have upgraded from xserver-xorg-lts-precise to xserver-xorg-lts-quantal, I'm using Nouveau nvidia driver.

My xserver crashes each time I click into an image with a tool : selection or paint...

Gimp works when I'm running gimp outside gnome with openbox for example

Error logs :

[ 24003.038] (EE)
[ 24003.038] (EE) Backtrace:
[ 24003.038] (EE) 0: /usr/bin/X (xorg_backtrace+0x34) [0x7f30c86f3644]
[ 24003.038] (EE) 1: /usr/bin/X (0x7f30c853e000+0x1b9599) [0x7f30c86f7599]
[ 24003.038] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f30c7864000+0xfcb0) [0x7f30c7873cb0]
[ 24003.038] (EE) 3: /usr/bin/X (0x7f30c853e000+0x663da) [0x7f30c85a43da]
[ 24003.038] (EE) 4: /usr/bin/X (0x7f30c853e000+0x5fce0) [0x7f30c859dce0]
[ 24003.038] (EE) 5: /usr/bin/X (0x7f30c853e000+0x1474b8) [0x7f30c86854b8]
[ 24003.038] (EE) 6: /usr/bin/X (0x7f30c853e000+0x557a1) [0x7f30c85937a1]
[ 24003.038] (EE) 7: /usr/bin/X (0x7f30c853e000+0x4415a) [0x7f30c858215a]
[ 24003.038] (EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f30c64ea76d]
[ 24003.038] (EE) 9: /usr/bin/X (0x7f30c853e000+0x444b1) [0x7f30c85824b1]
[ 24003.038] (EE)
[ 24003.038] (EE) Segmentation fault at address 0x28
[ 24003.038]
Fatal server error:
[ 24003.038] Caught signal 11 (Segmentation fault). Server aborting
[ 24003.038]
[ 24003.038] (EE)
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 24003.038] (EE) Please also check the log file at "/var/log/Xorg.1.log" for additional information.
[ 24003.038] (EE)
[ 24003.039] (II) evdev: Power Button: Close
[ 24003.039] (II) UnloadModule: "evdev"
[ 24003.039] (II) evdev: Video Bus: Close
[ 24003.039] (II) UnloadModule: "evdev"
[ 24003.040] (II) evdev: Video Bus: Close
[ 24003.040] (II) UnloadModule: "evdev"
[ 24003.040] (II) evdev: Power Button: Close
[ 24003.040] (II) UnloadModule: "evdev"
[ 24003.040] (II) evdev: Sleep Button: Close
[ 24003.040] (II) UnloadModule: "evdev"
[ 24003.041] (II) evdev: Laptop_Integrated_Webcam_2HDM: Close
[ 24003.041] (II) UnloadModule: "evdev"
[ 24003.041] (II) evdev: Logitech USB Optical Mouse: Close
[ 24003.041] (II) UnloadModule: "evdev"
[ 24003.041] (II) evdev: AT Translated Set 2 keyboard: Close
[ 24003.041] (II) UnloadModule: "evdev"
[ 24003.044] (II) evdev: Dell WMI hotkeys: Close
[ 24003.044] (II) UnloadModule: "evdev"
[ 24003.044] (II) UnloadModule: "synaptics"
[ 24003.044] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 24003.596] Server terminated with error (1). Closing log file.

Please reopen the bug !

I have the same problem as above. To reproduse the bug:

step 1: Open gimp
step 2: New Picture
step 3: Select tool
step 4: Start drawing something
step 5: CRASH, login screen pop out and after login every application are closed

system:
Ubuntu 12.04 (precise) 64-bit
Kernel linux 3.5.0-31-generic
Gnome 3.4.2
Memory 7,7 GiB
Processor Intel Core i5-2540M CPU @ 2.60 GHz x 4
all latest updates are installed
Gimp ver. 2.6.12 installed from Ubuntu Software Center

lspci:
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 (rev 34)
05:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 07)
0d:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)

akukuq (akukuq) wrote :

I confirm. On Ubuntu 12.04.2 (fully updated) on ThinkPad T430 this issue is present when touchpad is disabled. Enabling it by :

dconf write /org/gnome/settings-daemon/peripherals/touchpad/touchpad-enabled true

"solves" the problem.

Thanks!

I have Lenovo t420s and this akukuqs method worked for me. It can be done by pressing fn + F8 at the same time if having same layout than mine. Let's hope this little bug isn't with us in future. Thanks again for fast reply :)

-Jori

Sasa Paporovic (melchiaros) wrote :

For any further reporting, please open a new report. Reports that have reached the status "Fix Released" will not be reopened, even if they handle the same problem.

E S (e-sariyanidi) wrote :

akukuq's comment works on sony vaio v410 ubuntu 12.04,
which was simply "dconf write /org/gnome/settings-daemon/peripherals/touchpad/touchpad-enabled true"

Tear--Here (beatty) wrote :

This happened to me too.

I saw this post on askUbuntu: http://askubuntu.com/questions/163770/gimp-crashes-ubuntu-12-04-when-using-tool

I tried what was suggested by the answer from Jacques de Beer. I pulled my USB mouse plug, loaded the image and reinserted the USB plug. Didn't crash.

I'm using a onn wireless mouse model M730R.

Peter Belz (klej87) wrote :

I have lenovo l700 with Ubuntu 12.04 and I temporarily fixed this problem. Gimp crashes everytime when my 'touchpad-indicator' app is working. It works just fine if I turn the app off and optionally disable touchpad using cmd 'synclient TouchpadOff=1'.

Woonjas (woonjas) wrote :

I'm on 12.04, fully up to date, and the issue still occurs, so where's the released fix?
Initially when I first ran into the issue I thought it was the Nvidia drivers so I've tried all four versions available through 'Additional drivers'

Gimp: 2.6.12-1ubuntu1.3
Xserver-xorg-video-nouveau-lts-quantal 1:1.0.2-0ubuntu3~precise2
nvidia-331-updates 331.20-0ubuntu0.0.1
kernel: 3.4.0-47-generic

As a workaround I can unplug my usb mouse, but doing image manipulation with the touchpad isn't my idea of fun

- (pe-4a) wrote :

Crash when choosing Crop Tool

Apr 4 19:12:22 netbook gnome-session[2280]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Apr 4 19:12:22 netbook kernel: [ 143.511824] type=1400 audit(1396624342.119:26): apparmor="DENIED" operation="capable" parent=1 profile="/usr/sbin/cupsd" pid=1023 comm="cupsd" pid=1023 comm="cupsd" capability=36 capname="block_suspend"
Apr 4 19:12:22 netbook acpid: client 2123[0:0] has disconnected

Ubuntu 12.04 LTS 64-bit

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers